# Class JFormattedTextField.AbstractFormatterFactory

java.lang.Object
javax.swing.JFormattedTextField.AbstractFormatterFactory

Direct Known Subclasses:
  `DefaultFormatterFactory`

Enclosing class:
  `JFormattedTextField`

public abstract static class JFormattedTextField.AbstractFormatterFactory extends Object
Instances of `AbstractFormatterFactory` are used by `JFormattedTextField` to obtain instances of `AbstractFormatter` which in turn are used to format values. `AbstractFormatterFactory` can return different `AbstractFormatter`s based on the state of the `JFormattedTextField`, perhaps returning different `AbstractFormatter`s when the `JFormattedTextField` has focus vs when it doesn't have focus.

Since:
  1.4

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractFormatterFactory()`
  Constructor for subclasses to call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract JFormattedTextField.AbstractFormatter`
  `getFormatter(JFormattedTextField tf)`
  Returns an `AbstractFormatter` that can handle formatting of the passed in `JFormattedTextField`.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbstractFormatterFactory

    protected AbstractFormatterFactory()
    Constructor for subclasses to call.

- ## Method Details

  - ### getFormatter

    public abstract JFormattedTextField.AbstractFormatter getFormatter(JFormattedTextField tf)
    Returns an `AbstractFormatter` that can handle formatting of the passed in `JFormattedTextField`.
    Parameters:
      `tf` - JFormattedTextField requesting AbstractFormatter
    Returns:
      AbstractFormatter to handle formatting duties, a null return value implies the JFormattedTextField should behave like a normal JTextField